<?php

return [
    'case1' => [
        'setting' => [
            'description' => 'Case1 Позитивный. Чек успешного входа существующего юзера',
            'long_description' => '
                    https://jira.local/browse/INTERTOP-12345
                    Предполагается, что у нас голая база => следовательно юзера создаем из фикстур.
					Открываем главную на ua версии, в хедере клик по элементу юзера, открылся попап авторизации,
					Вводим инпут поля, клик по "Войти".
					Ожидаем скрытие попапа. Клик в хедере клик по элементу юзера.
					Ожидаем попап залогиненного юзера.'
        ],
        'fixture_data' => include __DIR__ . '/fixture/case1.php',
        'provider_data' => [
            'expected_DB_fields' => [
                'intertop_fixtures' => [
                ],
            ],
        ],
    ],

    'case2' => [
        'setting' => [
            'description' => 'Case2 
                              Негативный. Чек успешного входа существующего юзера, юзер вводит НЕкорректный пароль',
            'long_description' => '
                    https://jira.local/browse/INTERTOP-12345
                    Предполагается, что у нас голая база => следовательно юзера создаем из фикстур.
					Открываем главную на ua версии, в хедере клик по элементу юзера, открылся попап авторизации,
					Вводим инпут поля(пароль НЕвалиден), клик по "Войти".
					Ожидаем - попап не закрывается, сообщаем юзеру о НЕвалидных полях'
        ],
        'fixture_data' => include __DIR__ . '/fixture/case1.php',
        'provider_data' => [
            'expected_DB_fields' => [
                'intertop_fixtures' => [
                ],
            ],
        ],
    ],

    //todo https://jira.local/browse/INTERTOP-123 расширить негативными кейсами
];